Subject: Re: AW: DLL function with string result?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Christian Lescher <[email-masked]>
Cc: Lescher Christian <[email-masked]>, "'Andrew Markebo'" <[email-masked]>, Troy Noble <[email-masked]>, [email-masked]
Date: Fri, 20 Apr 2001 12:28:27 -0400

At 12:00 PM 4/20/2001, Christian Lescher wrote:
> > Yes, there is a general problem when you want to allocate in one DLL made
> > by one compiler and de-allocate in another built be another compiler.  In
> > this case, the heaps are different.  This is not a Cygwin-specific issue.
>
>I see. Would it be possible then to define a second function within the DLL, let's say freeStr(const char* resStr) which releases the memory
>again?

Yes, that should work better.

>And should Troy Noble's code then work for strings > 64 KB, too? (Currently, I get an access violation, even when not freeing the allocated
>memory outside the DLL.)

I'm not sure where this issue of strings > 64KB is coming from.  Sounds like
some sort of 16-bit 9x issue to me...

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple